<?php

declare(strict_types=1);

namespace Dedi\SyliusAdvertisingPlugin\Entity;

use Dedi\SyliusAdvertisingPlugin\Domain\Advertising\Adapter\AdvertisingInterface as BaseAdvertisingInterfaceAlias;
use Sylius\Component\Resource\Model\ResourceInterface;
use Sylius\Component\Resource\Model\TranslatableInterface;

interface AdvertisingInterface extends ResourceInterface, TranslatableInterface, BaseAdvertisingInterfaceAlias
{
    public function setCode(string $code): self;

    public function setPosition(int $position): self;

    public function setEnabled(bool $enabled): self;

    public function setTitle(?string $title): self;

    public function setContent(?string $content): self;

    public function setUrl(?string $url): self;
}
