<?php

declare(strict_types=1);

namespace Dedi\SyliusAdvertisingPlugin\Form;

use Dedi\SyliusAdvertisingPlugin\Entity\AdvertisingTranslation;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\UrlType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class AdvertisingTranslationType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('title', TextType::class, [
                'required' => false,
                'label' => 'dedi_advertising.form.advertising.title',
            ])
            ->add('url', UrlType::class, [
                'required' => false,
                'label' => 'dedi_advertising.form.advertising.url',
            ])
            ->add('content', TextareaType::class, [
                'required' => false,
                'label' => 'dedi_advertising.form.advertising.content',
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => AdvertisingTranslation::class,
            'validation_groups' => ['default', 'sylius']
        ]);
    }
}
