<?php

declare(strict_types=1);

namespace Dedi\SyliusAdvertisingPlugin\Form;

use Dedi\SyliusAdvertisingPlugin\Entity\Advertising;
use Dedi\SyliusAdvertisingPlugin\Entity\AdvertisingZone;
use Sylius\Bundle\ChannelBundle\Form\Type\ChannelChoiceType;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class AdvertisingZoneType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('enabled', CheckboxType::class, [
                'label' => 'dedi_advertising.form.advertising_zone.enabled'
            ])
            ->add('code', TextType::class, [
                'label' => 'dedi_advertising.form.advertising_zone.code'
            ])
            ->add('advertising', EntityType::class, [
                'class' => Advertising::class,
                'multiple' => true,
                'choice_name' => 'code',
                'choice_value' => 'id',
                'label' => 'dedi_advertising.form.advertising_zone.advertising'
            ])
            ->add('channels', ChannelChoiceType::class, [
                'multiple' => true,
                'expanded' => true,
                'label' => 'dedi_advertising.form.advertising_zone.channels',
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => AdvertisingZone::class,
            'validation_groups' => ['default', 'sylius'],
        ]);
    }
}
