<?php

declare(strict_types=1);

namespace Dedi\SyliusAdvertisingPlugin\Menu;

use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;

final class AdminMenuListener
{
    /**
     * @param MenuBuilderEvent $event
     */
    public function addAdminMenuItems(MenuBuilderEvent $event): void
    {
        $menu = $event->getMenu();

        $blog = $menu
            ->addChild('dedi_advertising')
            ->setLabel('dedi_advertising.ui.advertising')
        ;

        $blog
            ->addChild('dedi_advertising.advertising', ['route' => 'dedi_advertising_admin_advertising_index'])
            ->setLabel('dedi_advertising.ui.advertising')
            ->setLabelAttribute('icon', 'bullhorn')
        ;

        $blog
            ->addChild('dedi_advertising.advertising_zone', ['route' => 'dedi_advertising_admin_advertising_zone_index'])
            ->setLabel('dedi_advertising.ui.advertising_zone')
            ->setLabelAttribute('icon', 'expand')
        ;
    }
}
